创建对话补全
curl --request POST \
--url https://www.anyfast.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "kimi-k2.6",
"messages": [
{
"role": "user",
"content": "你好!"
}
],
"thinking": {},
"max_completion_tokens": 2,
"temperature": 1,
"top_p": 0.5,
"frequency_penalty": 0,
"presence_penalty": 0,
"response_format": {},
"tools": [
{}
],
"stream": false,
"stop": "<string>"
}
'import requests
url = "https://www.anyfast.ai/v1/chat/completions"
payload = {
"model": "kimi-k2.6",
"messages": [
{
"role": "user",
"content": "你好!"
}
],
"thinking": {},
"max_completion_tokens": 2,
"temperature": 1,
"top_p": 0.5,
"frequency_penalty": 0,
"presence_penalty": 0,
"response_format": {},
"tools": [{}],
"stream": False,
"stop": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'kimi-k2.6',
messages: [{role: 'user', content: '你好!'}],
thinking: {},
max_completion_tokens: 2,
temperature: 1,
top_p: 0.5,
frequency_penalty: 0,
presence_penalty: 0,
response_format: {},
tools: [{}],
stream: false,
stop: '<string>'
})
};
fetch('https://www.anyfast.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 123,
"model": "kimi-k2.6",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "你好!有什么我可以帮助你的吗?",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}MoonShot
kimi-k2.6
根据给定的对话历史生成模型响应。支持文本、图片与视频输入,思考与非思考模式,以及 Tool Use(函数调用)。
POST
/
v1
/
chat
/
completions
创建对话补全
Kimi-K2.6 支持文本、图片与视频输入,思考与非思考模式,以及 Tool Use(函数调用)。
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
模型 ID
可用选项:
kimi-k2.6 示例:
"kimi-k2.6"
对话消息列表。
Minimum array length:
1Show child attributes
Show child attributes
示例:
[{ "role": "user", "content": "你好!" }]
控制是否启用思考能力,以及是否保留多轮对话中的 reasoning_content。默认 {"type": "enabled"}。
Show child attributes
Show child attributes
最大生成 Token 数。(max_tokens 已弃用且不生效。)
必填范围:
x >= 1采样温度,值越高输出越随机。
必填范围:
0 <= x <= 2示例:
1
核采样阈值。
必填范围:
0 <= x <= 1根据词频惩罚重复 Token。
必填范围:
-2 <= x <= 2惩罚已出现过的 Token。
必填范围:
-2 <= x <= 2指定输出格式,可设为 JSON Mode。
Show child attributes
Show child attributes
模型可调用的工具列表(函数调用)。
为 true 时通过 SSE 流式返回结果。
触发停止生成的序列,最多 5 个,每个不超过 32 字节。
此页面对您有帮助吗?
⌘I